key_dependency Struct Reference

`#include <key_dependency.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
db_value_t | zone_id
const zone_db_t * | associated_zone_id
zone_db_t * | private_zone_id
db_value_t | from_key_data_id
const key_data_t * | associated_from_key_data_id
key_data_t * | private_from_key_data_id
db_value_t | to_key_data_id
const key_data_t * | associated_to_key_data_id
key_data_t * | private_to_key_data_id
key_dependency_type_t | type

## Detailed Description

A key dependency object.

Definition at line 56 of file key_dependency.h.

## Field Documentation

## associated_from_key_data_id

const key_data_t* key_dependency::associated_from_key_data_id

Definition at line 64 of file key_dependency.h.

Referenced by key_dependency_copy(), and key_dependency_get_from_key_data().

## associated_to_key_data_id

const key_data_t* key_dependency::associated_to_key_data_id

Definition at line 67 of file key_dependency.h.

Referenced by key_dependency_copy().

## associated_zone_id

const zone_db_t* key_dependency::associated_zone_id

Definition at line 61 of file key_dependency.h.

Referenced by key_dependency_copy().

## dbo

db_object_t* key_dependency::dbo

Definition at line 57 of file key_dependency.h.

Referenced by key_dependency_create(), key_dependency_delete(), key_dependency_free(), key_dependency_get_by_id(), key_dependency_get_from_key_data(), key_dependency_new(), and key_dependency_new_copy().

## from_key_data_id

db_value_t key_dependency::from_key_data_id

Definition at line 63 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_create(), key_dependency_free(), key_dependency_from_key_data_id(), key_dependency_from_result(), key_dependency_get_from_key_data(), key_dependency_new(), and key_dependency_set_from_key_data_id().

## id

db_value_t key_dependency::id

Definition at line 58 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_create(), key_dependency_delete(), key_dependency_free(), key_dependency_from_result(), and key_dependency_new().

## private_from_key_data_id

key_data_t* key_dependency::private_from_key_data_id

Definition at line 65 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_free(), and key_dependency_get_from_key_data().

## private_to_key_data_id

key_data_t* key_dependency::private_to_key_data_id

Definition at line 68 of file key_dependency.h.

Referenced by key_dependency_copy(), and key_dependency_free().

## private_zone_id

zone_db_t* key_dependency::private_zone_id

Definition at line 62 of file key_dependency.h.

Referenced by key_dependency_copy(), and key_dependency_free().

## rev

db_value_t key_dependency::rev

Definition at line 59 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_create(), key_dependency_delete(), key_dependency_free(), key_dependency_from_result(), and key_dependency_new().

## to_key_data_id

db_value_t key_dependency::to_key_data_id

Definition at line 66 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_create(), key_dependency_free(), key_dependency_from_result(), key_dependency_new(), key_dependency_set_to_key_data_id(), and key_dependency_to_key_data_id().

## type

key_dependency_type_t key_dependency::type

Definition at line 69 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_create(), key_dependency_from_result(), key_dependency_new(), key_dependency_set_type(), and key_dependency_type().

## zone_id

db_value_t key_dependency::zone_id

Definition at line 60 of file key_dependency.h.

Referenced by key_dependency_copy(), key_dependency_create(), key_dependency_free(), key_dependency_from_result(), key_dependency_new(), key_dependency_set_zone_id(), and key_dependency_zone_id().

The documentation for this struct was generated from the following file:

- src/db/key_dependency.h